Delete an existing payment method
Delete an existing payment method. Deleting a payment method does not invalidate or remove it from transactions or orders that are associated with it.
Authorization
oauth bolt.account.manageapi-key In: header
Scope: bolt.account.manage
In: header
Path Parameters
The ID of the payment method to delete
Header Parameters
The publicly shareable identifier used to identify your Bolt merchant division.
A unique identifier for a shopper's device, generated by Bolt. The value is retrieved with Bolt.state.merchantClientId in your frontend context, per-shopper. This header is required for proper attribution of this operation to your analytics reports. Omitting this header may result in incorrect statistics.
Response Body
application/json
curl -X DELETE "https://example.com/account/payment-methods/D4g3h5tBuVYK9" \ -H "X-Publishable-Key: string"Add a payment method POST
Add a payment method to a shopper's Bolt Account Wallet. For security purposes, this request must come from your backend. <br/> **Note**: Before using this API, the credit card details must be tokenized by Bolt's credit card tokenization service. Please review our [Bolt Payment Field Component](https://help.boltapp.com/products/ignite/api-implementation/#enhance-payments) or [Install the Bolt Tokenizer](https://help.boltapp.com/developers/references/bolt-tokenizer) documentation.
Initialize a Bolt payment for logged in shoppers POST
Initialize a Bolt logged-in shopper's intent to pay for a cart, using the specified payment method. Payments must be finalized before indicating the payment result to the shopper. Some payment methods will finalize automatically after initialization. For these payments, they will transition directly to "finalized" and the response from Initialize Payment will contain a finalized payment.